local Util = {}

function Util.vectorMagnitude(x, y)
	local r = math.sqrt(x^2 + y^2)
	return r
end

function Util.vectorAngle(x, y)
	local t = math.atan2(y, x)
	return t
end

function Util.vectorComponents(r, t, angle)
	local x = r * math.cos(angle + t)
	local y = r * math.sin(angle + t)
	return x, y
end

function Util.computeAbsCoords(x, y, angle)
	local r = Util.vectorMagnitude(x, y)
	local t = Util.vectorAngle(x, y)
	return Util.vectorComponents(r, t, angle)
end

return Util
